<div class="document-list-visibility" data-ng-show="visibilities.length>1">
	<select class="document-list-visibility-select" data-ng-model="$parent.visibility" name="visibility" data-ng-options="option.value as option.label for option in visibilities">
	</select>
</div>

<div
	class="document-list document-list-intake"
	data-ng-controller="nl.mintlab.docs.DocumentListController"
	data-ng-init="root=docGlobal;isIntake=true;filter={query:''}"
>
	<ul class="action-bar" data-ng-show="selectedFiles.length">
		<li class="action-bar-select" data-ng-show="!readOnly">
			<input type="checkbox" data-ng-click="onSelectAllClick($event)" data-ng-checked="isSelected(root)"/>
		</li>
		
		<li class="action-bar-button" data-ng-show="!readOnly">
			<button data-zs-popup="'/partials/docs/assign-files.html'" data-ng-click="openPopup()">
				<span class="action-bar-button-label">%%Toevoegen aan zaak%%</span>
			</button>
		</li>
		<li class="action-bar-button" data-ng-show="!readOnly&&selectedFiles.length==1" data-name="start_case_registration">
			<button data-ng-click="registerCase(selectedFiles[0]);deselectAll()">
				<span class="action-bar-button-label">%%Nieuwe zaak registreren%%</span>
			</button>
		</li>
		<li class="action-bar-button" data-ng-show="!readOnly">
			<button data-ng-click="removeEntity(selectedFiles);deselectAll();">
				<span class="action-bar-button-label">%%Verwijderen%%</span>
			</button>
		</li>
		<li class="action-bar-button" data-ng-show="selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'">
			<button class="action-bar-button-label" data-ng-click="downloadFile(selectedFiles[0].id)">
				<span>%%Openen%%</span>
			</button>
		</li>
		<li class="action-bar-button" data-ng-show="selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'" data-zs-dropdown-menu-decorate>
			<button class="action-bar-dropdown-toggle">
				<span class="action-bar-open-dropdown"></span>
			</button>
			<ul class="action-bar-dropdown-menu doc-dropdown-menu">
				<li class="action-bar-button">
					<button data-ng-click="downloadFile(selectedFiles[0].id, 'pdf')">
						&hellip; %%als PDF%%
					</button>
				</li>
			</ul>
		</li>
		<li class="action-bar-button" data-ng-show="selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'">
			<button data-ng-click="setEditMode(false);openPopup()" data-zs-popup="'/partials/docs/properties-popup.html'">
				<span class="action-bar-button-label">%%Eigenschappen%%</span>
			</button>
		</li>
	</ul>
	
	<div data-ng-controller="nl.mintlab.docs.DocumentListViewController" class="list-view" data-ng-show="viewType=='listView'">
			
		<div class="list-view-table-header list-view-row" data-ng-show="selectedFiles.length==0">
			<div class="list-view-entity-highlight">
				<div class="list-view-entity-options" data-ng-show="!readOnly">
					<input type="checkbox" data-ng-click="onSelectAllClick($event)" data-ng-checked="isSelected(root)"/>
				</div>
				<div class="list-view-col list-view-entity-title list-view-sort" data-ng-click="sortBy('name')">
					<span class="list-view-col-title">%%Titel%%</span>
					<span class="list-view-col-state-asc" data-ng-show="sort=='name'&&reversed">&#9650;</span>
					<span class="list-view-col-state-desc" data-ng-show="sort=='name'&&!reversed">&#9660</span>
				</div>
				<div class="list-view-col list-view-entity-type list-view-sort" data-ng-click="sortBy('type')">
					<span class="list-view-col-title">%%Soort%%</span>
					<span class="list-view-col-state-asc" data-ng-show="sort=='type'&&reversed">&#9650;</span>
					<span class="list-view-col-state-desc" data-ng-show="sort=='type'&&!reversed">&#9660</span>
				</div>
				<div class="list-view-col list-view-entity-edit list-view-sort" data-ng-click="sortBy('edit')">
					<span class="list-view-col-title">%%Gewijzigd%%</span>
					<span class="list-view-col-state-asc" data-ng-show="sort=='edit'&&reversed">&#9650;</span>
					<span class="list-view-col-state-desc" data-ng-show="sort=='edit'&&!reversed">&#9660</span>
				</div>
				<div class="list-view-col list-view-entity-actions">
					%%Acties%%
				</div>
			</div>
		</div>
		
		<div data-ng-controller="nl.mintlab.docs.FolderController" 
			class="list-view-entity object-type-<[entity.getEntityType()]>"
			data-ng-init="entity=root" 
			data-zs-multiselect="1"
		>
			
			<ul class="list-view-list">
				<li class="object-type object-type-<[entity.getEntityType()]>"
					data-ng-class="{'object-type-updating': entity.updating}"
					data-mimetype="<[entity.getMimeType()]>"
					data-ng-repeat="entity in filtered = (entity.getFiles() | orderBy:getSort():reversed | filter:filterEntity)"
					data-ng-controller="nl.mintlab.docs.FileController">

					<div class="list-view-entity-info list-view-row <[isSelected(entity)&&'entity-selected'||'']>"
						data-ng-include="'/docs/list-view-entity-info.html'" 
						data-zs-contextmenu="'/partials/docs/doc-context-menu.html'"
						data-ng-click="onEntityClick($event,entity)"
						data-zs-multiselectable
					>
					</div>
					<div class="new-entity-options" data-ng-show="!collapsed">
					    <div class="new-entity-active"></div>
					    <div class="inner" data-ng-if="!collapsed" data-ng-include="'/partials/docs/properties.html'" data-ng-init="intakeMode=true">
					</div>
				</li>
			</li>
			
		</div>
		
		<div class="spinner <[uiBlocked&&'ui-blocked'||'']>" data-ng-controller="nl.mintlab.net.SpinnerController">
			<div></div>
		</div>
			
</div>

<script type="text/ng-template" id="/docs/list-view-entity-info.html">
	<div class="list-view-entity-highlight">
		<div class="list-view-entity-options" data-ng-show="!readOnly&&entity.getDepth()>0">
			<input type="checkbox" data-ng-checked="isSelected(entity)"  data-ng-click="onToggleClick($event, entity)"/>
		</div>
		<div class="list-view-entity-title">
			<div class="list-view-entity-icon" data-zs-file-preview data-ng-mouseover="showPreview()" data-ng-mouseout="hidePreview()" data-ng-click="entity.getEntityType()=='folder'&&toggleCollapse($event)">
				<div class="the-icon"></div>
				<div class="the-eye" data-ng-show="preview"></div>
			</div>
			<div class="list-view-entity-title-text">
					<div class="list-view-entity-name" data-ng-show="entity!=root" data-ng-editable data-ng-editable-active="<[entity.getEntityType()=='folder'&&editName]>" data-ng-model="entity.name">
						<span data-ng-controller="nl.mintlab.docs.FilePreviewController" data-zs-popup="'/partials/docs/pdf-reader-popup.html'" data-ng-click="openPopup()"><[entity.name]><span data-ng-show="entity.extension"><[entity.extension]></span></span>
					<form class="inline-form" name="editFolderName" data-ng-submit="editFolderName.$valid&&editSave(entity.name)">
							<input type="text" value="<[entity.name]>" data-ng-model="entity.name" data-ng-required="true"/>
					</form>
	    		</div>
	    		<div class="list-view-entity-rejection-reason" data-ng-show="entity.rejection_reason">
	    			<i class="icon-font-awesome icon-warning-sign" data-zs-title="Afgewezen, reden: <[entity.rejection_reason]>"></i>
	    		</div>
	    		<div class="list-view-entity-desc" data-ng-editable data-ng-model="entity.metadata_id.description">
	    			<span><[entity.metadata_id.description]></span>
	    			<!--input type="text" value="<[entity.metadata_id.description]>"/-->
	    		</div>
			</div>
			
		</div>
		<div class="list-view-entity-type">
			<span class="list-view-entity-type-ext"><[entity.extension_dotless]></span>
		</div>
		<div class="list-view-entity-edit <[entity.version>1&&'list-view-entity-edit-revised']>" data-ng-show="entity.getEntityType()=='file'">
			<span
      class="list-view-entity-edit-datetime"><[(entity.date_created | date:'short') || '--']></span>
			<span class="list-view-entity-edit-user"><[entity.created_by_display_name]></span>
		</div>
		<div class="list-view-entity-actions" data-ng-show="!readOnly">
			<button class="intake-document-assign shiny-btn" data-zs-popup="'/partials/docs/assign-files.html'" data-ng-click="deselectAll();selectEntity(entity);openPopup($event);" data-zs-title="%%Toevoegen aan zaak%%"><span></span></button>
			<button class="intake-document-register shiny-btn" data-ng-click="registerCase(entity);deselectEntity(entity);" data-zs-title="%%Nieuwe zaak registreren%%"><span></span></button>
			<button class="intake-document-reject shiny-btn" data-ng-click="removeEntity([entity]);deselectEntity(entity);" data-zs-title="%%Verwijderen%%"><span></span></button>
		</div>
	</div>
</script>

<script type="text/ng-template" id="/partials/docs/doc-context-menu.html">
	<div class="doc-context-menu doc-dropdown-menu">
		<ul>
			<li data-ng-show="!readOnly">
				<button data-zs-popup="'/partials/docs/assign-files.html'" data-ng-click="openPopup()" class="doc-dropdown-menu-item">
					%%Toevoegen aan zaak%%
				</button>
			</li>
			<li data-ng-show="!readOnly&&selectedFiles.length==1">
				<button class="doc-dropdown-menu-item" data-ng-click="registerCase(selectedFiles[0]);deselectAll();">
					%%Nieuwe zaak registreren%%
				</button>
			</li>
			<li data-ng-show="!readOnly">
				<button data-ng-click="removeEntity(selectedFiles);deselectAll();" class="doc-dropdown-menu-item">
					%%Verwijderen%%
				</button>
			</li>
			<li data-ng-show="selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'">
				<button data-ng-click="downloadFile(selectedFiles[0].id)" class="doc-dropdown-menu-item">
					%%Openen%%
				</button>
			</li>
			<li data-ng-show="selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'" data-zs-hover-menu>
				<span class="doc-dropdown-menu-item">%%Openen als%%</span>
				<ul>
					<li>
						<button data-ng-click="downloadFile(selectedFiles[0].id, 'pdf')"  class="doc-dropdown-menu-item">
							%%PDF%%
						</button>
					</li>
				</ul>
			</li>
			<hr data-ng-show="!readOnly&&!(selectedFiles.length>1)"/>
			<li data-ng-show="selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'">
				<button class="doc-dropdown-menu-item" data-zs-popup="'/partials/docs/properties-popup.html'" data-ng-click="setEditMode(false);openPopup()">
					%%Eigenschappen%%
				</button>
			</li>
		</ul>
	</div>
</script>

<script type="text/ng-template" id="/partials/docs/file-preview.html">
	<div class="file-preview">
		<div class="file-preview-arrow"></div>
		<div class="file-preview-content">
			<img class="file-preview-image"/>
		</div>
	</div>
</script>

<script type="text/ng-template" id="/partials/docs/properties-popup.html">
	<div data-zs-modal data-ng-init="title='%%Eigenschappen van%% ' + entity.name + entity.extension;">
		<div data-ng-include="'/partials/docs/properties.html'" data-ng-controller="nl.mintlab.docs.FileController" data-ng-init="entity=selectedFiles[0];editMode=!readOnly">
		</div>
	</div>
</script>

<script type="text/ng-template" id="/partials/docs/properties.html">
	<form name="properties">
		
		<div class="new-entity-options-row">
			<div class="new-entity-options-label">%%Naam%% *</div>
			<div class="new-entity-options-field">
				<span data-ng-show="!editMode" ><[entity.name]><[entity.extension]></span>
				<input type="text" data-ng-show="editMode" name="name" data-ng-required="true" data-ng-model="update.name" data-ng-blur="properties.name.$valid&&saveAttr('name')" class="large300"/>
			</div>
		</div>

		<div class="new-entity-options-row">
			<div class="new-entity-options-label">%%Omschrijving%%</div>
			<div class="new-entity-options-field">
				<span data-ng-show="!editMode"><[entity.metadata_id.description||'--']></span>
				<input type="text" data-ng-show="editMode" data-ng-model="update.metadata_id.description" data-ng-blur="saveAttr('metadata_id.description')" class="large300"/>
			</div>
		</div>

		<div class="new-entity-options-row">
			<div class="new-entity-options-label">%%Richting%%</div>
			<div class="new-entity-options-field">
				<span data-ng-show="!editMode"><[entity.metadata_id.origin||'--']></span>
				<select data-ng-show="editMode" data-ng-model="update.metadata_id.origin" data-ng-change="saveAttr('metadata_id.origin')" class="large300" data-ng-options="value for value in $parent.validOrigins">
					
				</select>
			</div>
		</div>

		<div class="new-entity-options-row" data-ng-show="update.metadata_id.origin==='Inkomend'||entity.metadata_id.origin==='Uitgaand'">
			<div class="new-entity-options-label"><[update.metadata_id.origin==='Uitgaand' ? 'Verzenddatum' : 'Ontvangstdatum']></div>
			<div class="new-entity-options-field">
				<span data-ng-show="!editMode"><[update.metadata_id.origin==='Uitgaand' ? 'Verzenddatum' : 'Ontvangstdatum']></span>
				<div data-ng-show="editMode" class="form-date-range-picker" 
					data-zs-date-range-picker
					data-zs-date-range-picker-mode="date"
					data-zs-date-picker-model

					data-ng-model="update.metadata_id.origin_date"
					data-zs-model-transformers="date.iso"
					data-ng-change="saveAttr('metadata_id.origin_date')">
				</div>
			</div>
		</div>

		<div class="new-entity-options-row" data-ng-controller="nl.mintlab.docs.FileIntegrityController" data-ng-init="verifyIntegrity()">
			<div class="new-entity-options-label">%%Integriteit bestand%%</div>
			<div class="new-entity-options-field">
				<span data-ng-show="loading">%%Controleert integriteit bestand%%...</span>
				<span class="file-verified-success has-icon" data-ng-show="!loading&&status=='verified'"><i class="icon icon-integrity-ok icon-docs"></i> %%Bestand geverifieerd%%.</span>
				<span class="file-verified-error has-icon" data-ng-show="!loading&&status=='error'"><i class="icon icon-integrity-not-ok icon-docs"></i> %%Bestand kon niet geverifieerd worden%%.</span>
			</div>
		</div>
		<div class="new-entity-options-row">
			<div class="new-entity-options-label">%%Documentnummer%%</div>
			<div class="new-entity-options-field"><[entity.id]></div>
		</div>	

		<div class="new-entity-options-row">
			<div class="new-entity-options-label">%%Soort%%</div>
			<div class="new-entity-options-field"><[entity.filestore_id.mimetype]></div>
		</div>
		
		<div class="new-entity-options-row">
			<div class="new-entity-options-label">%%Bestandsgrootte%%</div>
			<div class="new-entity-options-field"><[entity.filestore_id.size|size:0]></div>
		</div>
	
		<div class="new-entity-options-row">
			<div class="new-entity-options-label">%%Versie%%</div>
			<div class="new-entity-options-field"><[entity.version]></div>
		</div>
		
		<div class="new-entity-options-row">
			<div class="new-entity-options-label">%%MD5-Hash%%</div>
			<div class="new-entity-options-field"><[entity.filestore_id.md5]></div>
		</div>
				
		<div class="new-entity-options-row">
			<div class="new-entity-options-label">%%Origineel of geconverteerd%%</div>
			<div class="new-entity-options-field">%%Origineel%%</div>
		</div>
		
	</form>
</script>

<script type="text/ng-template" id="/partials/docs/assign-files.html">
	<div data-zs-modal data-ng-init="title='%%Voeg toe aan zaak%%'">
		<form name="assignFileForm" data-ng-controller="nl.mintlab.docs.GlobalIntakeActionController" data-ng-submit="assignFileForm.$valid&&assignFiles();assignFileForm.setPristine();" class="form">
			<div class="row">
				<div class="column large-5">
					<span data-ng-show="selectedFiles.length==1">%%Bestandsnaam%%</span>
					<span data-ng-show="selectedFiles.length>1">%%Bestandsnamen%%</span>
				</div>
				<div class="column large-7">
					<[getFileNames()]>
				</div>
			</div>
			<div class="row">
				<div class="column large-5">
					Zaak
				</div>
				<div class="column large-7">
					<div>
						<input type="text" data-ng-model="caseId" data-zs-object-required="true" data-zs-spot-enlighter data-zs-spot-enlighter-restrict="'zaak'" data-zs-spot-enlighter-params="{'active':1}" data-zs-spot-enlighter-label="'%%Zaak%% ' + id + ': ' + zaaktype_node_id.titel" class="large"/>
					</div>
				</div>
			</div>

			<div class="row">
				<div class="column large-5">%%Omschrijving%%</div>
				<div class="column large-7">
					<input type="text" data-ng-model="description" class="infinity"/>
				</div>
			</div>

			<div class="row">
				<div class="column large-5">%%Richting%%</div>
				<div class="column large-7">
					<select data-ng-model="origin" class="large300" data-ng-options="value for value in validOrigins">
						
					</select>
				</div>
			</div>

			<div class="row" data-ng-show="origin==='Inkomend'||origin==='Uitgaand'">
				<div class="column large-5"><[origin==='Uitgaand' ? 'Verzenddatum' : 'Ontvangstdatum']></div>
				<div class="column large-7">
					<div class="form-date-range-picker" 
						data-zs-date-range-picker
						data-zs-date-range-picker-mode="date"
						data-zs-date-picker-model

						data-ng-model="origin_date"
						data-zs-model-transformers="date.iso">
					</div>
				</div>
			</div>
			
			
			<div data-ng-repeat="file in selectedFiles" class="row">
				<div class="column large-5">Zaakdocument</div>
				<div class="column large-7">
					<select data-ng-model="file.case_type_document_id" data-ng-options="caseDoc.bibliotheek_kenmerken_id.naam for caseDoc in caseDocs">
						<option value="">%%Geen%%</option>
					</select>
				</div>
			</div>
			<div class="form-actions clearfix">
				<button data-ng-disabled="!assignFileForm.$valid||loading" class="button button-primary entity-option-accept right">
					%%Toevoegen%%
				</button>
			</div>
		</form>
	</div>
</script>

<script type="text/ng-template" id="/partials/docs/pdf-reader-popup.html">
	<div data-zs-modal class="modal-fullscreen" data-ng-init="title=entity.name + entity.extension; downloadUrl='/zaak/intake/' + entity.id + '/download'">
		<zs-case-document-viewer 
			case-id="caseId" 
			file-id="entity.id" 
			is-intake="true"
			extension="selectedFiles[0].extension"
		>
		</zs-case-document-viewer>
	</div>
	
</script>
